Qt5 for Playbook compiled on Ubuntu 13.10, Error 2 on executing



  • according to the topic "Building Qt5 for Blackberry":http://qt-project.org/wiki/Building-Qt5-for-Blackberry i build the Qt5.2.0 for playbook on Ubuntu 13.10 x64,
    it got compiled properly
    Copeid lib, plugins, qml folder inside playbook.
    compiled simple sample for QtQuick2, compiled and installed in Playbook
    while executing after showing flash screen got closed
    on Qt Creator it shown result
    bq. @Info: Sending request: Launch
    Info: Action: Launch
    Info: Launching com.example.TestPlaybook.testDev_estPlaybookfda8d340...
    result::11620519
    Info: done
    QML debugging is enabled. Only use this in a safe environment.
    Failed to open uom pps, errno=2
    Failed to open region pps, errno=2@
    please somebody help me to get through it.



  • How I remember, Blackberry development supported QT Quick 1, not a 2.



  • if Its not true -> correct



  • Unfortunately the playbook hardware is too slow to be useful for Qt5, while I'm not sure if anyone has actually put time into making it work, your result seems to indicate they did not.

    As such, the playbook is limited to Qt4.

    Notice that I'm using Qt5 just fine on my BB10 devices. And thats what the wikipage you found was meant for.



  • Qt5 with Qtquick2 can be compiled for Playbook too, i compiled and executed program Qt 5.1.1 successfully.
    thnx everybody, i have compiled latest Qt from git and it is working with some issues, lets see what i can do...



  • pushpendrak, please consider updating the wikipage with this information.
    Simply stating that 5.1.1 is the last one that is known to work would be useful.

    Also, I always think that its best for people to compile an actual version of Qt, not just the stable branch. Use a git tag like "v5.2.0"



  • Can you elaborate on your problems? I would like to update the wiki page.


Log in to reply